{% extends 'Admin/layout.html.twig' %}

{% form_theme form 'bootstrap_4_layout.html.twig' %}

{% block title %}Admin Buy a Word{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item">
        <a href="{{ url('admin_list_words') }}">Words</a>
    </li>
    <li class="breadcrumb-item active">Upgrade</li>
{% endblock %}

{% block body_id 'admin_transaction_edit' %}

{% block body %}


    {% if coupons is defined and coupons is not empty %}
        <p>
            <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#displayCoupons" aria-expanded="false" aria-controls="displayCoupons">
                Display Super Coupons
            </button>
        </p>
        <div class="collapse mb-3" id="displayCoupons">
            <div class="card card-body">

                <table class="table table-bordered table-striped table-hover table-sm">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Code</th>
                        <th scope="col">Type</th>
                        <th scope="col">User</th>
                        <th scope="col">Discount (%)</th>
                        <th scope="col">Start At</th>
                        <th scope="col">Expire At</th>
                        <th scope="col">Status</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for coupon in coupons %}
                        <tr class="{{ coupon.isDisabled ? 'table-danger' }}">
                            <th scope="row">
                                <a href="{{ url('admin_show_coupon', {id:coupon.id}) }}">{{ coupon.id }}</a>
                            </th>
                            <td>{{ coupon.code|e }}</td>
                            <td>{{ coupon.typeSource|trans }}</td>
                            <td>
                                {% if coupon.user is defined and coupon.user is not empty %}
                                    <a href="{{ url('admin_show_user', {id:coupon.user.id}) }}" target="_blank">{{ coupon.user.username|e }}</a>
                                {% else %}
                                    /
                                {% endif %}
                            </td>
                            <td>{{ coupon.discountPercentage }}</td>
                            <td>{{ coupon.startedAt is empty ? '/': coupon.startedAt }}</td>
                            <td>{{ coupon.expiredAt is empty ? '/': coupon.expiredAt }}</td>
                            <td>{{ coupon.isDisabled ? 'Disabled': 'Active' }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>

            </div>
        </div>
    {% endif %}


    {% for message in app.flashes('error') %}
        <div class="flash-notice alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endfor %}


    <div class="card mb-3">
        <div class="card-header text-white bg-primary">
            <i class="fas fa-shopping-cart"></i>
            Buy a Word
        </div>
        <div class="card-body">

            <div>
                <label><span id="general_error_id"></span></label>
            </div>

            {{ form_start(form, { 'attr': {'id': 'form_transaction_edit', 'data-word': word.id } }) }}

            <blockquote class="blockquote">
                <p class="mb-0">{{ word.name }}</p>
                <footer class="blockquote-footer">Actual value: {{ word.value }}</footer>
            </blockquote>

            <div>
                {{ form_label(form.word) }}
                {{ form_errors(form.word) }}
                {{ form_widget(form.word) }}
            </div>

            <div>
                {{ form_label(form.couponCode) }}
                {#{{ form_errors(form.couponCode) }}#}
                {{ form_widget(form.couponCode) }}
            </div>

            {# Display all packages #}
            {% if packages is defined and packages is not empty %}
                <div class="mt-3">
                    <label>Packages
                        <span id="transaction_packages_errors"></span>
                        {% set isPackagesError = false %}
                        {% if formData is defined and formData.errors is defined and formData.errors.packages is defined and formData.errors.packages is not empty %}
                            {% set isPackagesError = true %}
                            <span class="invalid-feedback d-block">
                                <span class="d-block">
                                    <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans }}</span>
                                    <span class="form-error-message">{{ formData.errors.packages }}</span>
                                </span>
                            </span>
                        {% endif %}
                    </label>
                    {% for package in packages %}
                        <div>
                            <div class="custom-control custom-checkbox mb-3">
                                <input type="checkbox" name="transaction[packages][{{ package.id }}]" class="custom-control-input {#{ isPackagesError ? 'is-invalid' }#}" id="transaction_package_{{ package.id }}"
                                       {% if formData is defined and formData.packages is defined and package.id in formData.packages|keys %}checked{% endif %} >
                                <label class="custom-control-label" for="transaction_package_{{ package.id }}">
                                    {{ package.source|trans }} -
                                    <span>{{ package.price }}</span>
                                </label>
                            </div>
                            {% if package.optionals is defined and package.optionals is not empty %}
                                {% for optional in package.optionals %}
                                    <ul style="list-style: none;">
                                        <li>
                                            <span>{{ optional.source }}</span>
                                            <span>{{ optional.description }}</span>
                                            <span>{{ optional.price }}</span>
                                        </li>
                                    </ul>
                                {% endfor %}
                            {% endif %}
                        </div>
                    {% endfor %}
                </div>
            {% endif %}

            {# Display all optionals #}
            {% if optionals is defined and optionals is not empty %}
                <div class="mt-3">
                    <label>Optionals
                        <span id="transaction_optionals_errors"></span>
                        {% set isOptionalsError = false %}
                        {% if formData is defined and formData.errors is defined and formData.errors.optionals is defined and formData.errors.optionals is not empty %}
                            {% set isOptionalsError = true %}
                            <span class="invalid-feedback d-block">
                                <span class="d-block">
                                    <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans }}</span>
                                    <span class="form-error-message">{{ formData.errors.optionals }}</span>
                                </span>
                            </span>
                        {% endif %}
                    </label>
                    {% for source,optionalTypes in optionals %}
                        <div> {{ source|trans }}
                        {% for optional in optionalTypes %}
                            <div class="custom-control custom-checkbox mb-3">
                                <input type="checkbox" name="transaction[optionals][{{ optional.id }}]" class="custom-control-input {#{ isOptionalsError ? 'is-invalid' }#}" id="transaction_optional_{{ optional.id }}"
                                       {% if formData is defined and formData.optionals is defined and optional.id in formData.optionals|keys %}checked{% endif %} >
                                <label class="custom-control-label" for="transaction_optional_{{ optional.id }}">
                                    <span>{{ optional.source }}</span>
                                    <span>{{ optional.description }}</span>
                                    <span>{{ optional.price }}</span>
                                </label>
                            </div>
                        {% endfor %}
                        </div>
                    {% endfor %}
                </div>
            {% endif %}

            {#<p>Optionals</p>#}
            {#<ul class="tags" data-prototype="{{ form_widget(form.transactionDetails.vars.prototype)|e('html_attr') }}">#}
                {#{% for transactionDetail in form.transactionDetails %}#}
                    {#<li>{{ form_widget(transactionDetail.optional) }}</li>#}
                {#{% endfor %}#}
            {#</ul>#}

            {#<input type="submit" value="Create"#}
                   {#class="btn btn-default pull-right" />#}
            {{ form_end(form) }}

        </div>
    </div>


    {% include 'Default/_upgrade_paypal_button.html.twig' %}

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('build/js/paypal_admin.js') }}"></script>
{% endblock %}